use std::hint::black_box;

use anyhow::Error;

use crate::Context;


#[poise::command(slash_command, rename = "discord's command name", guild_only)]
pub async fn example(
    ctx: Context<'_>,
    #[description = "input description shown in discord"]
    input: String
) -> Result<(), Error> {
    // Do something...
    black_box(ctx);
    black_box(input);
    Ok(())
}

